Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.renderers
Class OnTheFlyRenderer

    java.lang.Object
      net.sourceforge.pmd.renderers.AbstractRenderer
          net.sourceforge.pmd.renderers.OnTheFlyRenderer

All Implemented Interfaces:
  Renderer

Direct Known Subclasses:
  CSVRenderer, EmacsRenderer, HTMLRenderer, IDEAJRenderer, TextPadRenderer, TextRenderer, VBHTMLRenderer, XMLRenderer

    public abstract class OnTheFlyRenderer

extends AbstractRenderer

Field Summary
`protected java.util.List<Report.ProcessingError>` | `errors`
`protected java.util.List<Report.SuppressedViolation>` | `suppressed`

Fields inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`showSuppressedViolations`

Constructor Summary
`OnTheFlyRenderer()`

Method Summary
`abstract void` | `end()`
`void` | `render(java.io.Writer writer, Report report)`
`void` | `renderFileReport(Report report)`
`abstract void` | `renderFileViolations(java.util.Iterator<IRuleViolation> violations)`
`abstract void` | `start()`

Methods inherited from class net.sourceforge.pmd.renderers.AbstractRenderer
`getWriter, render, setWriter, showSuppressedViolations, startFileAnalysis`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### errors

    protected java.util.List<Report.ProcessingError> errors

### suppressed

    protected java.util.List<Report.SuppressedViolation> suppressed

Constructor Detail

### OnTheFlyRenderer

    public OnTheFlyRenderer()

Method Detail

### render

    public void render(java.io.Writer writer,
                       Report report)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderFileReport

    public void renderFileReport(Report report)
                          throws java.io.IOException

  Specified by:
    `renderFileReport` in interface `Renderer`
  Overrides:
    `renderFileReport` in class `AbstractRenderer`
  Throws:
    `java.io.IOException`

### start

    public abstract void start()
                        throws java.io.IOException

  Specified by:
    `start` in interface `Renderer`
  Overrides:
    `start` in class `AbstractRenderer`
  Throws:
    `java.io.IOException`

### renderFileViolations

    public abstract void renderFileViolations(java.util.Iterator<IRuleViolation> violations)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### end

    public abstract void end()
                      throws java.io.IOException

  Specified by:
    `end` in interface `Renderer`
  Overrides:
    `end` in class `AbstractRenderer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.